package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 化学品设备管理对象 hxp_smart_terminal
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel(" 化学品设备管理")
public class HxpSmartTerminalVo {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    @Excel(name = "智能终端编号")
    @ApiModelProperty(value = "智能终端编号")
    private String terminalNum;

    @Excel(name = "学院")
    @ApiModelProperty(value = "学院")
    private String deptName;

    @Excel(name = "位置")
    @ApiModelProperty(value = "位置")
    private String posi;

    @Excel(name = "设备状态")
    @ApiModelProperty(value = "设备状态")
    private Integer terminalStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "状态（1 开启，0 关闭）")
    private Integer status;

    /** 报警器响铃时长（单位秒） */
    @ApiModelProperty(value = "报警器响铃时长")
    private Integer ringTime;
    /** 处理时长（单位分钟） */
    @ApiModelProperty(value = "处理时长")
    private Integer dealTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTerminalNum() {
        return terminalNum;
    }

    public void setTerminalNum(String terminalNum) {
        this.terminalNum = terminalNum;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPosi() {
        return posi;
    }

    public void setPosi(String posi) {
        this.posi = posi;
    }

    public Integer getTerminalStatus() {
        return terminalStatus;
    }

    public void setTerminalStatus(Integer terminalStatus) {
        this.terminalStatus = terminalStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getRingTime() {
        return ringTime;
    }

    public void setRingTime(Integer ringTime) {
        this.ringTime = ringTime;
    }

    public Integer getDealTime() {
        return dealTime;
    }

    public void setDealTime(Integer dealTime) {
        this.dealTime = dealTime;
    }
}
